commit 5fcf8d0f36de849be0545b521c950b5cb0b4b82d
Author: Katja Luther <k.luther@bgbm.org>
Date:   Tue Apr 9 10:36:00 2019 +0200

    ref #8124: change label for name facts

diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/l10n/Messages.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/l10n/Messages.java
index 36089ab9d..e7cd2d8a6 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/l10n/Messages.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/l10n/Messages.java
@@ -309,6 +309,8 @@ public class Messages extends NLS {
     public static String ChecklistEditor_REMOVE_DEFAULT_SOURCE_TOOLTIP;
     public static String ChecklistEditor_SEARCH_TOOLTIP;
     public static String DistributionEditor_defaultSource;
+    public static String FactualDataView_Lable;
+    public static String NameFactsDataView_Lable;
     static {
         // initialize resource bundle
         NLS.initializeMessages(BUNDLE_NAME, Messages.class);
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/l10n/messages.properties b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/l10n/messages.properties
index 7701c0631..e81e3348b 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/l10n/messages.properties
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/l10n/messages.properties
@@ -287,4 +287,6 @@ ChecklistEditor_DEFAULT_SOURCE_TOOLTIP=Choose a source which is added to every n
 ChecklistEditor_REMOVE_DEFAULT_SOURCE_TOOLTIP=After removing the default source, newly created distribution will not get a default source.
 ChecklistEditor_SEARCH_TOOLTIP=Textfilter for Taxa
 DistributionEditor_defaultSource=Default Source: 
-ChecklistEditor_REMOVE_DEFAULT_SOURCE=Remove Source
\ No newline at end of file
+ChecklistEditor_REMOVE_DEFAULT_SOURCE=Remove Source
+FactualDataView_Lable=Factual Data
+NameFactsDataView_Lable=Name Facts
\ No newline at end of file
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/l10n/messages_de.properties b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/l10n/messages_de.properties
index 2e7c12fd7..6839ce6df 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/l10n/messages_de.properties
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/l10n/messages_de.properties
@@ -287,4 +287,6 @@ ChecklistEditor_DEFAULT_SOURCE_TOOLTIP=W
 ChecklistEditor_REMOVE_DEFAULT_SOURCE_TOOLTIP=Wenn die Quelle entfernt wurde, wird den neu angelegten Verbreitungen nicht mehr automatisch eine Quelle zugefügt.
 ChecklistEditor_SEARCH_TOOLTIP=Textfilter auf Taxa
 DistributionEditor_defaultSource= Standard Quelle: 
-ChecklistEditor_REMOVE_DEFAULT_SOURCE=Quelle entfernen
\ No newline at end of file
+ChecklistEditor_REMOVE_DEFAULT_SOURCE=Quelle entfernen
+FactualDataView_Lable=Faktendaten
+NameFactsDataView_Lable=Namensfaktendaten
\ No newline at end of file
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/e4/FactualDataPartE4.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/e4/FactualDataPartE4.java
index 02c1dfe1a..4e31818b0 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/e4/FactualDataPartE4.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/e4/FactualDataPartE4.java
@@ -159,7 +159,11 @@ public class FactualDataPartE4 extends AbstractCdmEditorPartE4
                 && partObject instanceof IPartContentHasFactualData
                     && !(firstElement instanceof SpecimenOrObservationBase && partObject instanceof BulkEditorE4)){
                    // && !(firstElement instanceof TaxonName && partObject instanceof BulkEditorE4)){
-
+                if (firstElement instanceof TaxonName){
+                    thisPart.setLabel(Messages.NameFactsDataView_Lable);
+                }else{
+                    thisPart.setLabel(Messages.FactualDataView_Lable);
+                }
                 featureNodeContainerCache.clear();
                 showViewer(structuredSelection, activePart, viewer);
                 return;