commit 37dc0842a465e00945ddb8aa1258357f163cdd1c
Author: Andreas Müller <a.mueller@bgbm.org>
Date:   Fri Aug 21 22:44:40 2020 +0200

    ref #9204 switch jdom and jdom2 to dependency in taxeditor.cdmlib and upgrade poi with dependencies

diff --git a/.gitignore b/.gitignore
index a2d094839..6998c0f48 100644
--- a/.gitignore
+++ b/.gitignore
@@ -94,3 +94,9 @@ eu.etaxonomy.taxeditor.test/lib/dbunit-2.*.jar
 eu.etaxonomy.taxeditor.cdmlib/lib/c3p0-0.*.jar
 eu.etaxonomy.taxeditor.cdmlib/lib/jdom-1.1.3.jar
 eu.etaxonomy.taxeditor.cdmlib/lib/jdom2-2.*.jar
+eu.etaxonomy.taxeditor.cdmlib/lib/xmlbeans-3.*.jar
+eu.etaxonomy.taxeditor.cdmlib/lib/poi-4.*.jar
+eu.etaxonomy.taxeditor.cdmlib/lib/poi-ooxml-4.*.jar
+eu.etaxonomy.taxeditor.cdmlib/lib/poi-ooxml-schemas-4.*.jar
+eu.etaxonomy.taxeditor.cdmlib/lib/commons-collections4-4.*.jar
+eu.etaxonomy.taxeditor.cdmlib/lib/commons-math3-3.*.jar
diff --git a/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF
index a7a8bfb49..dd672884f 100644
--- a/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF
@@ -692,7 +692,7 @@ Bundle-ClassPath: .,
  lib/xercesImpl-2.12.0.jar,
  lib/xml-apis-1.4.01.jar,
  lib/xml-resolver-1.2.jar,
- lib/xmlbeans-2.6.0.jar,
+ lib/xmlbeans-3.1.0.jar,
  lib/xmlgraphics-commons-1.5.jar,
  lib/xsom-20140925.jar,
  lib/opencsv-2.3.jar,
@@ -738,9 +738,9 @@ Bundle-ClassPath: .,
  lib/odfdom-0.8.jar,
  lib/odfdom-java-0.8.7.jar,
  lib/paranamer-2.3.jar,
- lib/poi-3.13.jar,
- lib/poi-ooxml-3.13.jar,
- lib/poi-ooxml-schemas-3.13.jar,
+ lib/poi-4.1.2.jar,
+ lib/poi-ooxml-4.1.2.jar,
+ lib/poi-ooxml-schemas-4.1.2.jar,
  lib/postgresql-42.2.15.jar,
  lib/relaxngDatatype-20020414.jar,
  lib/rngom-2.2.11.jar,
@@ -760,6 +760,7 @@ Bundle-ClassPath: .,
  lib/lucene-suggest-5.4.1.jar,
  lib/redmine-java-api-3.1.0.jar,
  lib/org.swtchart_0.10.0.v20160212.jar,
+ lib/commons-collections4-4.4.jar,
  lib/commons-math3-3.6.1.jar,
  lib/docx4j-6.0.1.jar,
  lib/mysql-connector-java-8.0.21.jar,
diff --git a/eu.etaxonomy.taxeditor.cdmlib/build.properties b/eu.etaxonomy.taxeditor.cdmlib/build.properties
index a567dfd93..d7cfd06ef 100644
--- a/eu.etaxonomy.taxeditor.cdmlib/build.properties
+++ b/eu.etaxonomy.taxeditor.cdmlib/build.properties
@@ -91,7 +91,7 @@ bin.includes = META-INF/,\
                lib/xercesImpl-2.12.0.jar,\
                lib/xml-apis-1.4.01.jar,\
                lib/xml-resolver-1.2.jar,\
-               lib/xmlbeans-2.6.0.jar,\
+               lib/xmlbeans-3.1.0.jar,\
                lib/xmlgraphics-commons-1.5.jar,\
                lib/xsom-20140925.jar,\
                lib/opencsv-2.3.jar,\
@@ -137,9 +137,9 @@ bin.includes = META-INF/,\
                lib/odfdom-0.8.jar,\
                lib/odfdom-java-0.8.7.jar,\
                lib/paranamer-2.3.jar,\
-               lib/poi-3.13.jar,\
-               lib/poi-ooxml-3.13.jar,\
-               lib/poi-ooxml-schemas-3.13.jar,\
+               lib/poi-4.1.2.jar,\
+               lib/poi-ooxml-4.1.2.jar,\
+               lib/poi-ooxml-schemas-4.1.2.jar,\
                lib/postgresql-42.2.15.jar,\
                lib/relaxngDatatype-20020414.jar,\
                lib/rngom-2.2.11.jar,\
@@ -160,6 +160,7 @@ bin.includes = META-INF/,\
                lib/cdmlib-cache-5.18.0-SNAPSHOT.jar,\
                lib/redmine-java-api-3.1.0.jar,\
                lib/org.swtchart_0.10.0.v20160212.jar,\
+               lib/commons-collections4-4.4.jar,\
                lib/commons-math3-3.6.1.jar,\
                lib/docx4j-6.0.1.jar,\
                lib/mysql-connector-java-8.0.21.jar,\
diff --git a/eu.etaxonomy.taxeditor.cdmlib/lib/commons-math3-3.6.1.jar b/eu.etaxonomy.taxeditor.cdmlib/lib/commons-math3-3.6.1.jar
deleted file mode 100644
index 0ff582cfc..000000000
Binary files a/eu.etaxonomy.taxeditor.cdmlib/lib/commons-math3-3.6.1.jar and /dev/null differ
diff --git a/eu.etaxonomy.taxeditor.cdmlib/lib/poi-3.13.jar b/eu.etaxonomy.taxeditor.cdmlib/lib/poi-3.13.jar
deleted file mode 100644
index a9e380085..000000000
Binary files a/eu.etaxonomy.taxeditor.cdmlib/lib/poi-3.13.jar and /dev/null differ
diff --git a/eu.etaxonomy.taxeditor.cdmlib/lib/poi-ooxml-3.13.jar b/eu.etaxonomy.taxeditor.cdmlib/lib/poi-ooxml-3.13.jar
deleted file mode 100644
index 726768cfd..000000000
Binary files a/eu.etaxonomy.taxeditor.cdmlib/lib/poi-ooxml-3.13.jar and /dev/null differ
diff --git a/eu.etaxonomy.taxeditor.cdmlib/lib/poi-ooxml-schemas-3.13.jar b/eu.etaxonomy.taxeditor.cdmlib/lib/poi-ooxml-schemas-3.13.jar
deleted file mode 100644
index bd883978b..000000000
Binary files a/eu.etaxonomy.taxeditor.cdmlib/lib/poi-ooxml-schemas-3.13.jar and /dev/null differ
diff --git a/eu.etaxonomy.taxeditor.cdmlib/lib/xmlbeans-2.6.0.jar b/eu.etaxonomy.taxeditor.cdmlib/lib/xmlbeans-2.6.0.jar
deleted file mode 100644
index d1b66271f..000000000
Binary files a/eu.etaxonomy.taxeditor.cdmlib/lib/xmlbeans-2.6.0.jar and /dev/null differ
diff --git a/eu.etaxonomy.taxeditor.cdmlib/pom.xml b/eu.etaxonomy.taxeditor.cdmlib/pom.xml
index 2967734da..ed266c0bd 100644
--- a/eu.etaxonomy.taxeditor.cdmlib/pom.xml
+++ b/eu.etaxonomy.taxeditor.cdmlib/pom.xml
@@ -10,7 +10,8 @@
   <artifactId>eu.etaxonomy.taxeditor.cdmlib</artifactId>
   <packaging>eclipse-plugin</packaging>
   <properties>
-      <jackson.version>2.11.2</jackson.version>           <!-- checked 2020-08 -->
+      <jackson.version>2.11.2</jackson.version>
+      <poi.version>4.1.2</poi.version>
   </properties>
   <name>CDM Library Dependencies Plugin</name>
   <description>CDM Library and dependencies as a plugin</description>
@@ -67,6 +68,7 @@
                 aopalliance,aspectjweaver,aspectjrt,
                 hibernate-jpa-2.1-api,javassist,hibernate-commons-annotations,
                 xml-apis,lsid-client,jdom,jdom2,
+                poi,poi-ooxml,poi-ooxml-schemas,xmlbeans,commons-collections4,commons-math3,
                 c3p0,
                 h2,mysql-connector-java,postgresql
               </includeArtifactIds>
@@ -464,6 +466,43 @@
         <version>1.1.2</version>
     </dependency>
     
+    <!-- poi -->
+    <!-- needed -->
+    <dependency>
+        <groupId>org.apache.poi</groupId>
+        <artifactId>poi</artifactId>
+        <version>${poi.version}</version>
+    </dependency>
+    <dependency>
+        <groupId>org.apache.poi</groupId>
+        <artifactId>poi-ooxml-schemas</artifactId>
+        <version>${poi.version}</version>
+    </dependency>
+    <dependency>
+        <groupId>org.apache.poi</groupId>
+        <artifactId>poi-ooxml</artifactId>
+        <version>${poi.version}</version>
+    </dependency>
+    <dependency>
+      	<groupId>org.apache.xmlbeans</groupId>
+      	<artifactId>xmlbeans</artifactId>
+      	<version>3.1.0</version>
+    </dependency>
+    <dependency>
+	    <groupId>org.apache.commons</groupId>
+	    <artifactId>commons-collections4</artifactId>
+	    <version>4.4</version>
+	</dependency>
+	<dependency>
+	    <groupId>org.apache.commons</groupId>
+	    <artifactId>commons-math3</artifactId>
+	    <version>3.6.1</version>
+	</dependency>
+    <!-- not yet included 
+       poi:   com.zaxxer:SparseBitSet
+       poi-ooxml   commons-compress,curvesapi
+     --> 
+      
 	<!-- logging -->
     <dependency>
         <!-- needed? -->