commit c37c85061f9b76949821842a648af5a0271c3611
Author: b.stoever <stoever@bioinfweb.info>
Date:   Sat Oct 22 14:36:59 2016 +0200

    Plugin molecular.lib refactored to use direct project dependencies. This should not be merged into trunk, since this is only for development state. (Currently the trunk is anyway already using different Maven dependencies.)
    Adjustments to recent changes in JPhyloIO.

diff --git a/eu.etaxonomy.taxeditor.molecular.lib/.classpath b/eu.etaxonomy.taxeditor.molecular.lib/.classpath
index a7281ddfe..f644516a5 100644
--- a/eu.etaxonomy.taxeditor.molecular.lib/.classpath
+++ b/eu.etaxonomy.taxeditor.molecular.lib/.classpath
@@ -1,20 +1,21 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	<classpathentry exported="true" kind="lib" path="lib/commons-collections4-4.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/core-1.9.2.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/sequencing-1.9.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/info.bioinfweb.libralign.biojava1/bin/"/>
 	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.7"/>
 	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
 	<classpathentry exported="true" kind="lib" path="lib/owlapi-xmlutils-4.1.4.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/bioinfweb-commons-bio-2-SNAPSHOT.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/bioinfweb-commons-core-2-SNAPSHOT.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/bioinfweb-commons-swing-2-SNAPSHOT.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/bioinfweb-commons-swt-2-SNAPSHOT.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/jphyloio-core-0-SNAPSHOT.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/libralign-biojava1-0-SNAPSHOT.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/libralign-core-0-SNAPSHOT.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/libralign-swt-0-SNAPSHOT.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/tic-core-2-SNAPSHOT.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/tic-swt-2-SNAPSHOT.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/commons-collections4-4.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/core-1.9.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/sequencing-1.9.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/info.bioinfweb.commons.bio/bin"/>
+	<classpathentry exported="true" kind="lib" path="lib/info.bioinfweb.commons.core/bin"/>
+	<classpathentry exported="true" kind="lib" path="lib/info.bioinfweb.commons.swing/bin"/>
+	<classpathentry exported="true" kind="lib" path="lib/info.bioinfweb.commons.swt/bin"/>
+	<classpathentry exported="true" kind="lib" path="lib/info.bioinfweb.libralign.core/bin"/>
+	<classpathentry exported="true" kind="lib" path="lib/info.bioinfweb.libralign.io/bin"/>
+	<classpathentry exported="true" kind="lib" path="lib/info.bioinfweb.libralign.swt/bin"/>
+	<classpathentry exported="true" kind="lib" path="lib/info.bioinfweb.tic.core/bin"/>
+	<classpathentry exported="true" kind="lib" path="lib/info.bioinfweb.tic.swt/bin"/>
+	<classpathentry exported="true" kind="lib" path="lib/JPhyloIO/bin" sourcepath="lib/JPhyloIO/bin"/>
 	<classpathentry kind="output" path="target/classes"/>
 </classpath>
diff --git a/eu.etaxonomy.taxeditor.molecular.lib/.project b/eu.etaxonomy.taxeditor.molecular.lib/.project
index 45f118a13..61fe6212a 100644
--- a/eu.etaxonomy.taxeditor.molecular.lib/.project
+++ b/eu.etaxonomy.taxeditor.molecular.lib/.project
@@ -26,4 +26,61 @@
 		<nature>org.eclipse.pde.PluginNature</nature>
 		<nature>org.eclipse.jdt.core.javanature</nature>
 	</natures>
+	<linkedResources>
+		<link>
+			<name>lib/JPhyloIO</name>
+			<type>2</type>
+			<locationURI>WORKSPACE_LOC/JPhyloIO</locationURI>
+		</link>
+		<link>
+			<name>lib/info.bioinfweb.commons.bio</name>
+			<type>2</type>
+			<locationURI>WORKSPACE_LOC/info.bioinfweb.commons.bio</locationURI>
+		</link>
+		<link>
+			<name>lib/info.bioinfweb.commons.core</name>
+			<type>2</type>
+			<locationURI>WORKSPACE_LOC/info.bioinfweb.commons.core</locationURI>
+		</link>
+		<link>
+			<name>lib/info.bioinfweb.commons.swing</name>
+			<type>2</type>
+			<locationURI>WORKSPACE_LOC/info.bioinfweb.commons.swing</locationURI>
+		</link>
+		<link>
+			<name>lib/info.bioinfweb.commons.swt</name>
+			<type>2</type>
+			<locationURI>WORKSPACE_LOC/info.bioinfweb.commons.swt</locationURI>
+		</link>
+		<link>
+			<name>lib/info.bioinfweb.libralign.biojava1</name>
+			<type>2</type>
+			<locationURI>WORKSPACE_LOC/info.bioinfweb.libralign.biojava1</locationURI>
+		</link>
+		<link>
+			<name>lib/info.bioinfweb.libralign.core</name>
+			<type>2</type>
+			<locationURI>WORKSPACE_LOC/info.bioinfweb.libralign.core</locationURI>
+		</link>
+		<link>
+			<name>lib/info.bioinfweb.libralign.io</name>
+			<type>2</type>
+			<locationURI>WORKSPACE_LOC/info.bioinfweb.libralign.io</locationURI>
+		</link>
+		<link>
+			<name>lib/info.bioinfweb.libralign.swt</name>
+			<type>2</type>
+			<locationURI>WORKSPACE_LOC/info.bioinfweb.libralign.swt</locationURI>
+		</link>
+		<link>
+			<name>lib/info.bioinfweb.tic.core</name>
+			<type>2</type>
+			<locationURI>WORKSPACE_LOC/info.bioinfweb.tic.core</locationURI>
+		</link>
+		<link>
+			<name>lib/info.bioinfweb.tic.swt</name>
+			<type>2</type>
+			<locationURI>WORKSPACE_LOC/info.bioinfweb.tic.swt</locationURI>
+		</link>
+	</linkedResources>
 </projectDescription>
diff --git a/eu.etaxonomy.taxeditor.molecular.lib/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.molecular.lib/META-INF/MANIFEST.MF
index 454039ef9..22d225db3 100644
--- a/eu.etaxonomy.taxeditor.molecular.lib/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.molecular.lib/META-INF/MANIFEST.MF
@@ -5,19 +5,20 @@ Bundle-SymbolicName: eu.etaxonomy.taxeditor.molecular.lib;singleton:=true
 Bundle-Version: 4.2.0.qualifier
 Bundle-ClassPath: .,
  lib/owlapi-xmlutils-4.1.4.jar,
- lib/bioinfweb-commons-bio-2-SNAPSHOT.jar,
- lib/bioinfweb-commons-core-2-SNAPSHOT.jar,
- lib/bioinfweb-commons-swing-2-SNAPSHOT.jar,
- lib/bioinfweb-commons-swt-2-SNAPSHOT.jar,
- lib/jphyloio-core-0-SNAPSHOT.jar,
- lib/libralign-biojava1-0-SNAPSHOT.jar,
- lib/libralign-core-0-SNAPSHOT.jar,
- lib/libralign-swt-0-SNAPSHOT.jar,
- lib/tic-core-2-SNAPSHOT.jar,
- lib/tic-swt-2-SNAPSHOT.jar,
  lib/commons-collections4-4.1.jar,
  lib/core-1.9.2.jar,
- lib/sequencing-1.9.2.jar
+ lib/sequencing-1.9.2.jar,
+ lib/info.bioinfweb.commons.bio/bin/,
+ lib/info.bioinfweb.commons.core/bin/,
+ lib/info.bioinfweb.commons.swing/bin/,
+ lib/info.bioinfweb.commons.swt/bin/,
+ lib/info.bioinfweb.libralign.core/bin/,
+ lib/info.bioinfweb.libralign.io/bin/,
+ lib/info.bioinfweb.libralign.swt/bin/,
+ lib/info.bioinfweb.tic.core/bin/,
+ lib/info.bioinfweb.tic.swt/bin/,
+ lib/JPhyloIO/bin/,
+ lib/info.bioinfweb.libralign.biojava1/bin/
 Export-Package: info.bioinfweb.commons,
  info.bioinfweb.commons.appversion,
  info.bioinfweb.commons.beans,
@@ -36,7 +37,7 @@ Export-Package: info.bioinfweb.commons,
  info.bioinfweb.jphyloio,
  info.bioinfweb.jphyloio.dataadapters,
  info.bioinfweb.jphyloio.dataadapters.implementations,
- info.bioinfweb.jphyloio.dataadapters.implementations.readtowriteadapter,
+ info.bioinfweb.jphyloio.dataadapters.implementations.store,
  info.bioinfweb.jphyloio.dataadapters.implementations.receivers,
  info.bioinfweb.jphyloio.events,
  info.bioinfweb.jphyloio.events.meta,
@@ -48,7 +49,6 @@ Export-Package: info.bioinfweb.commons,
  info.bioinfweb.jphyloio.formats.mega,
  info.bioinfweb.jphyloio.formats.newick,
  info.bioinfweb.jphyloio.formats.nexml,
- info.bioinfweb.jphyloio.formats.nexml.nexmlreceivers,
  info.bioinfweb.jphyloio.formats.nexus,
  info.bioinfweb.jphyloio.formats.nexus.blockhandlers,
  info.bioinfweb.jphyloio.formats.nexus.commandreaders,
@@ -60,10 +60,13 @@ Export-Package: info.bioinfweb.commons,
  info.bioinfweb.jphyloio.formats.pde,
  info.bioinfweb.jphyloio.formats.phylip,
  info.bioinfweb.jphyloio.formats.phyloxml,
+ info.bioinfweb.jphyloio.formats.phyloxml.elementreader,
  info.bioinfweb.jphyloio.formats.text,
  info.bioinfweb.jphyloio.formats.xml,
  info.bioinfweb.jphyloio.formats.xtg,
- info.bioinfweb.jphyloio.tools,
+ info.bioinfweb.jphyloio.utils,
+ info.bioinfweb.jphyloio.objecttranslation,
+ info.bioinfweb.jphyloio.objecttranslation.implementations,
  info.bioinfweb.libralign,
  info.bioinfweb.libralign.actions,
  info.bioinfweb.libralign.alignmentarea,
diff --git a/eu.etaxonomy.taxeditor.molecular.lib/build.properties b/eu.etaxonomy.taxeditor.molecular.lib/build.properties
index 2bcb762d7..4cd6b0385 100644
--- a/eu.etaxonomy.taxeditor.molecular.lib/build.properties
+++ b/eu.etaxonomy.taxeditor.molecular.lib/build.properties
@@ -1,17 +1,18 @@
 bin.includes = META-INF/,\
                lib/tic-swt-2.0.0-preview-1.jar,\
-               lib/bioinfweb-commons-bio-2-SNAPSHOT.jar,\
-               lib/bioinfweb-commons-core-2-SNAPSHOT.jar,\
-               lib/bioinfweb-commons-swing-2-SNAPSHOT.jar,\
-               lib/bioinfweb-commons-swt-2-SNAPSHOT.jar,\
-               lib/jphyloio-core-0-SNAPSHOT.jar,\
-               lib/libralign-biojava1-0-SNAPSHOT.jar,\
-               lib/libralign-core-0-SNAPSHOT.jar,\
-               lib/libralign-swt-0-SNAPSHOT.jar,\
-               lib/tic-core-2-SNAPSHOT.jar,\
-               lib/tic-swt-2-SNAPSHOT.jar,\
                lib/commons-collections4-4.1.jar,\
                lib/core-1.9.2.jar,\
-               lib/sequencing-1.9.2.jar
+               lib/sequencing-1.9.2.jar,\
+               lib/info.bioinfweb.commons.bio/bin/,\
+               lib/info.bioinfweb.commons.core/bin/,\
+               lib/info.bioinfweb.commons.swing/bin/,\
+               lib/info.bioinfweb.commons.swt/bin/,\
+               lib/info.bioinfweb.libralign.core/bin/,\
+               lib/info.bioinfweb.libralign.io/bin/,\
+               lib/info.bioinfweb.libralign.swt/bin/,\
+               lib/info.bioinfweb.tic.core/bin/,\
+               lib/info.bioinfweb.tic.swt/bin/,\
+               lib/JPhyloIO/bin/,\
+               lib/info.bioinfweb.libralign.biojava1/bin/
                lib/jphyloio-core-0-SNAPSHOT.jar,\
                lib/owlapi-xmlutils-4.1.4.jar
diff --git a/eu.etaxonomy.taxeditor.molecular/src/main/java/eu/etaxonomy/taxeditor/molecular/io/CDMSequenceMatrixAdapter.java b/eu.etaxonomy.taxeditor.molecular/src/main/java/eu/etaxonomy/taxeditor/molecular/io/CDMSequenceMatrixAdapter.java
index 41175772f..7f84fcbcb 100644
--- a/eu.etaxonomy.taxeditor.molecular/src/main/java/eu/etaxonomy/taxeditor/molecular/io/CDMSequenceMatrixAdapter.java
+++ b/eu.etaxonomy.taxeditor.molecular/src/main/java/eu/etaxonomy/taxeditor/molecular/io/CDMSequenceMatrixAdapter.java
@@ -18,7 +18,7 @@ import info.bioinfweb.jphyloio.dataadapters.JPhyloIOEventReceiver;
 import info.bioinfweb.jphyloio.dataadapters.MatrixDataAdapter;
 import info.bioinfweb.jphyloio.dataadapters.ObjectListDataAdapter;
 import info.bioinfweb.jphyloio.dataadapters.implementations.NoCharDefsNoSetsMatrixDataAdapter;
-import info.bioinfweb.jphyloio.dataadapters.implementations.readtowriteadapter.StoreObjectListDataAdapter;
+import info.bioinfweb.jphyloio.dataadapters.implementations.store.StoreObjectListDataAdapter;
 import info.bioinfweb.jphyloio.events.CharacterSetIntervalEvent;
 import info.bioinfweb.jphyloio.events.LinkedLabeledIDEvent;
 import info.bioinfweb.jphyloio.events.SequenceTokensEvent;
diff --git a/eu.etaxonomy.taxeditor/rcp.target b/eu.etaxonomy.taxeditor/rcp.target
index f01bba3f6..2ab0ba60b 100644
--- a/eu.etaxonomy.taxeditor/rcp.target
+++ b/eu.etaxonomy.taxeditor/rcp.target
@@ -1,31 +1,31 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<?pde version="3.8"?><target name="Eclipse Indigo Target" sequenceNumber="7">
-<locations>
-<location includeAllPlatforms="true" includeConfigurePhase="false" includeMode="slicer" includeSource="true" type="InstallableUnit">
-<unit id="org.eclipse.swtbot.eclipse.feature.group" version="2.0.5.20111003_1754-3676ac8-dev-e36"/>
-<unit id="org.eclipse.swtbot.eclipse.gef.feature.group" version="2.0.5.20111003_1754-3676ac8-dev-e36"/>
-<unit id="org.eclipse.swtbot.ide.feature.group" version="2.0.5.20111003_1754-3676ac8-dev-e36"/>
-<unit id="org.eclipse.swtbot.eclipse.test.junit4.feature.group" version="2.0.5.20111003_1754-3676ac8-dev-e36"/>
-<repository location="http://download.eclipse.org/technology/swtbot/helios/dev-build/update-site"/>
-</location>
-<location includeAllPlatforms="true" includeConfigurePhase="false" includeMode="slicer" includeSource="true" type="InstallableUnit">
-<unit id="org.eclipse.jdt.feature.group" version="3.7.2.v20120120-1414-7z8gFcuFMP7BW5XTz0jLTnz0l9B1"/>
-<unit id="org.eclipse.pde.source.feature.group" version="3.7.2.v20120120-1420-7b7rFUOFEx2Xnqafnpz0E--0"/>
-<unit id="org.eclipse.platform.feature.group" version="3.7.2.v20120207-1839-9gF7UHPDFxGjd-PqDr2jX_4yKaumkoHTz04_q-q"/>
-<unit id="org.eclipse.equinox.executable.feature.group" version="3.5.1.v20111216-1653-7P7NFUIFIbaUcU77s0KQWHw5HZTZ"/>
-<unit id="org.eclipse.platform.source.feature.group" version="3.7.2.v20120207-1839-9gF7UHPDFxGjd-PqDr2jX_4yKaumkoHTz04_q-q"/>
-<unit id="org.eclipse.platform.sdk" version="3.7.2.M20120208-0800"/>
-<unit id="org.eclipse.rcp.feature.group" version="3.7.2.v20120120-1424-9DB5FmnFq5JCf1UA38R-kz0S0272"/>
-<unit id="org.eclipse.rcp.source.feature.group" version="3.7.2.v20120120-1424-9DB5FmnFq5JCf1UA38R-kz0S0272"/>
-<unit id="org.eclipse.rcp.sdk.id" version="3.7.2.M20120208-0800"/>
-<unit id="org.eclipse.equinox.sdk.feature.group" version="3.7.1.R37x_v20110907-7M7W8i8eNV4WsRkue-4Vq4J6pCyW"/>
-<unit id="org.eclipse.zest.sdk.feature.group" version="1.3.0.v20110425-2050-67C18COMPIAKSVKGQaRTQTiSN8WP"/>
-<unit id="org.eclipse.pde.feature.group" version="3.7.2.v20120120-1420-7b7rFUOFEx2Xnqafnpz0E--0"/>
-<repository location="http://download.eclipse.org/releases/indigo"/>
-</location>
-<location includeAllPlatforms="true" includeConfigurePhase="false" includeMode="slicer" includeSource="true" type="InstallableUnit">
-<unit id="org.eclipse.nebula.widgets.compositetable.feature.feature.group" version="1.0.0.201409040043"/>
-<repository location="http://download.eclipse.org/technology/nebula/archives/Q32014/release/"/>
-</location>
-</locations>
-</target>
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<?pde version="3.8"?><target name="Eclipse Indigo Target" sequenceNumber="8">
+<locations>
+<location includeAllPlatforms="true" includeConfigurePhase="false" includeMode="slicer" includeSource="true" type="InstallableUnit">
+<unit id="org.eclipse.swtbot.eclipse.feature.group" version="2.0.5.20111003_1754-3676ac8-dev-e36"/>
+<unit id="org.eclipse.swtbot.eclipse.gef.feature.group" version="2.0.5.20111003_1754-3676ac8-dev-e36"/>
+<unit id="org.eclipse.swtbot.ide.feature.group" version="2.0.5.20111003_1754-3676ac8-dev-e36"/>
+<unit id="org.eclipse.swtbot.eclipse.test.junit4.feature.group" version="2.0.5.20111003_1754-3676ac8-dev-e36"/>
+<repository location="http://download.eclipse.org/technology/swtbot/helios/dev-build/update-site"/>
+</location>
+<location includeAllPlatforms="true" includeConfigurePhase="false" includeMode="slicer" includeSource="true" type="InstallableUnit">
+<unit id="org.eclipse.jdt.feature.group" version="3.7.2.v20120120-1414-7z8gFcuFMP7BW5XTz0jLTnz0l9B1"/>
+<unit id="org.eclipse.pde.source.feature.group" version="3.7.2.v20120120-1420-7b7rFUOFEx2Xnqafnpz0E--0"/>
+<unit id="org.eclipse.platform.feature.group" version="3.7.2.v20120207-1839-9gF7UHPDFxGjd-PqDr2jX_4yKaumkoHTz04_q-q"/>
+<unit id="org.eclipse.equinox.executable.feature.group" version="3.5.1.v20111216-1653-7P7NFUIFIbaUcU77s0KQWHw5HZTZ"/>
+<unit id="org.eclipse.platform.source.feature.group" version="3.7.2.v20120207-1839-9gF7UHPDFxGjd-PqDr2jX_4yKaumkoHTz04_q-q"/>
+<unit id="org.eclipse.platform.sdk" version="3.7.2.M20120208-0800"/>
+<unit id="org.eclipse.rcp.feature.group" version="3.7.2.v20120120-1424-9DB5FmnFq5JCf1UA38R-kz0S0272"/>
+<unit id="org.eclipse.rcp.source.feature.group" version="3.7.2.v20120120-1424-9DB5FmnFq5JCf1UA38R-kz0S0272"/>
+<unit id="org.eclipse.rcp.sdk.id" version="3.7.2.M20120208-0800"/>
+<unit id="org.eclipse.equinox.sdk.feature.group" version="3.7.1.R37x_v20110907-7M7W8i8eNV4WsRkue-4Vq4J6pCyW"/>
+<unit id="org.eclipse.zest.sdk.feature.group" version="1.3.0.v20110425-2050-67C18COMPIAKSVKGQaRTQTiSN8WP"/>
+<unit id="org.eclipse.pde.feature.group" version="3.7.2.v20120120-1420-7b7rFUOFEx2Xnqafnpz0E--0"/>
+<repository location="http://download.eclipse.org/releases/indigo"/>
+</location>
+<location includeAllPlatforms="true" includeConfigurePhase="false" includeMode="slicer" includeSource="true" type="InstallableUnit">
+<unit id="org.eclipse.nebula.widgets.compositetable.feature.feature.group" version="1.0.0.201409040043"/>
+<repository location="http://archive.eclipse.org/nebula/Q32014/release/"/>
+</location>
+</locations>
+</target>