commit a39a62de9e29c90ca09cb23ed17bbbe5cd8bb2ea
Author: Patrick Plitzner <p.plitzner@bgbm.org>
Date:   Tue Jul 17 14:42:28 2018 +0200

    i18n

diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/descriptiveDataSet/matrix/CharacterMatrix.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/descriptiveDataSet/matrix/CharacterMatrix.java
index 7fb87455b..451bddaee 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/descriptiveDataSet/matrix/CharacterMatrix.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/descriptiveDataSet/matrix/CharacterMatrix.java
@@ -522,7 +522,7 @@ public class CharacterMatrix extends Composite {
         IProgressMonitorService progressMonitorService = CdmApplicationState.getCurrentAppConfig().getProgressMonitorService();
 
         final Collection<RowWrapperDTO> wrappers = new ArrayList<>();
-        String jobLabel = "Load character data";
+        String jobLabel = Messages.CharacterMatrix_LOAD_CHARACTER_DATA;
         Job job = Job.create(jobLabel, (ICoreRunnable) monitor -> {
             monitor.beginTask(jobLabel, IProgressMonitor.UNKNOWN);
             while(progressMonitorService.isMonitorThreadRunning(monitorUuid)){
@@ -545,8 +545,8 @@ public class CharacterMatrix extends Composite {
                     if(!rowsWithoutTaxonNode.isEmpty()){
                         String collect = rowsWithoutTaxonNode.stream().
                         map(row->row.getSpecimenDescription().toString())
-                        .collect(Collectors.joining("\n\n - "));
-                        MessagingUtils.errorDialog("Descriptions without node found", this.getClass(), "Description(s) without taxon node:\n\n - "+collect+"\n\n", TaxeditorEditorPlugin.PLUGIN_ID, null, false);
+                        .collect(Collectors.joining("\n\n - ")); //$NON-NLS-1$
+                        MessagingUtils.errorDialog(Messages.CharacterMatrix_NO_NODE_FOUND_TITLE, this.getClass(), Messages.CharacterMatrix_NO_NODE_FOUND_MESSAGE+collect+"\n\n", TaxeditorEditorPlugin.PLUGIN_ID, null, false); //$NON-NLS-3$
                     }
                     wrappers.stream().filter(row->row.getTaxonNode()!=null).forEach(wrapper->CharacterMatrix.this.descriptions.add(wrapper));
                     loadingDone();
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/l10n/Messages.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/l10n/Messages.java
index 2620abaf5..127a56ebb 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/l10n/Messages.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/l10n/Messages.java
@@ -40,6 +40,7 @@ public class Messages extends NLS {
     public static String CharacterMatrix_IDENTIFIER;
     public static String CharacterMatrix_INIT_PROBLEM;
     public static String CharacterMatrix_INIT_PROBLEM_MESSAGE;
+    public static String CharacterMatrix_LOAD_CHARACTER_DATA;
     public static String CharacterMatrix_LOCK_COLUMNS;
     public static String CharacterMatrix_MULTIPLE_DATA;
     public static String CharacterMatrix_MULTIPLE_DATA_MESSAGE;
@@ -48,6 +49,8 @@ public class Messages extends NLS {
     public static String CharacterMatrix_TAXON;
     public static String CharacterMatrix_VIEW_CONFIG;
     public static String CharacterMatrix_DESCRIPTIVE_DATA_SET;
+    public static String CharacterMatrix_NO_NODE_FOUND_MESSAGE;
+    public static String CharacterMatrix_NO_NODE_FOUND_TITLE;
     public static String CharacterMatrixPart_COULD_NOT_OPEN;
     public static String CharacterMatrixPart_COULD_NOT_OPEN_MESSAGE;
     public static String ChecklistDropdownSelectionListener_ADD_DISTRIBUTION;
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/l10n/messages.properties b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/l10n/messages.properties
index 617a3e81d..c690457a5 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/l10n/messages.properties
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/l10n/messages.properties
@@ -180,6 +180,9 @@ ChangeConceptToSynonymOperation_MULTI_REPS=Multiple relations between taxa
 ChangeConceptToSynonymOperation_MULTI_REPS_MESSAGE=There are multiple relations between the accepted and the related taxon. This case is not handled by the software yet.
 ChangeSynonymToAcceptedTaxonOperation_INCONSISTENT_DATA=Operation may lead to inconsistent data
 ChangeSynonymToAcceptedTaxonOperation_NOT_IMPLEMENTED=Not yet implemented
+CharacterMatrix_LOAD_CHARACTER_DATA=Load character data
+CharacterMatrix_NO_NODE_FOUND_MESSAGE=Description(s) without taxon node:\n\n - 
+CharacterMatrix_NO_NODE_FOUND_TITLE=Description(s) without taxon node found
 CharacterMatrix_COLLAPSE=Collapse all
 CharacterMatrix_COLLECTOR_NO=Collector + No
 CharacterMatrix_COUNTRY=Country
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/l10n/messages_de.properties b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/l10n/messages_de.properties
index 088604a11..afaf5f28e 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/l10n/messages_de.properties
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/l10n/messages_de.properties
@@ -180,6 +180,9 @@ ChangeConceptToSynonymOperation_MULTI_REPS=Mehrere Verkn
 ChangeConceptToSynonymOperation_MULTI_REPS_MESSAGE=Es gibt mehrere Verknüpfungen zwischen dem akzeptierten und dem verknüpften Taxon. Dieser Fall wird noch nicht von der Software unterstützt.
 ChangeSynonymToAcceptedTaxonOperation_INCONSISTENT_DATA=Vorgang kann zu inkonsistenten Daten führen
 ChangeSynonymToAcceptedTaxonOperation_NOT_IMPLEMENTED=Noch nicht implementiert
+CharacterMatrix_LOAD_CHARACTER_DATA=Lade Character-Daten
+CharacterMatrix_NO_NODE_FOUND_MESSAGE=Beschreibung(en) ohne Taxonknoten:\n\n - 
+CharacterMatrix_NO_NODE_FOUND_TITLE=Beschreibung(en) ohne Taxonknoten gefunden
 CharacterMatrix_COLLAPSE=Alle einklappen
 CharacterMatrix_COLLECTOR_NO=Sammler + Nr
 CharacterMatrix_COUNTRY=Land